Package org.jfree.layouting.output

## Interface OutputProcessorMetaData

- All Known Implementing Classes:
    `AbstractOutputProcessorMetaData`, `GraphicsOutputProcessorMetaData`, `HtmlOutputProcessorMetaData`, `PdfOutputProcessorMetaData`, `PlaintextOutputMetaData`

      public interface OutputProcessorMetaData

  Creation-Date: 14.12.2005, 13:47:00
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.fonts.registry.FontFamily` | `getDefaultFontFamily​()` |
    `PageSize` | `getDefaultPageSize​()` | Returns the default physical page size.
    `java.lang.String` | `getExportDescriptor​()` | The export descriptor is a string that describes the output characteristics.
    `org.pentaho.reporting.libraries.fonts.registry.FontFamily` | `getFontFamilyForGenericName​(CSSConstant genericName)` |
    `org.pentaho.reporting.libraries.fonts.registry.FontMetrics` | `getFontMetrics​(FontSpecification spec)` |
    `double` | `getFontSize​(CSSConstant constant)` |
    `org.pentaho.reporting.libraries.fonts.registry.FontStorage` | `getFontStorage​()` | Although most font systems are global, some may have some issues with caching.
    `int` | `getHorizontalPageSpan​()` | Returns the horizontal page span.
    `java.lang.String` | `getMediaType​()` | Returns the media type of the output target.
    `java.lang.String` | `getNormalizedFontFamilyName​(java.lang.String name)` |
    `double` | `getNumericFeatureValue​(OutputProcessorFeature.NumericOutputProcessorFeature feature)` |
    `java.lang.Class[]` | `getSupportedResourceTypes​()` |
    `int` | `getVerticalPageSpan​()` | Returns the vertical page span.
    `boolean` | `isFeatureSupported​(OutputProcessorFeature.BooleanOutputProcessorFeature feature)` |
    `boolean` | `isIterative​()` | An iterative output processor accepts and processes small content chunks.
    `boolean` | `isValid​(FontSpecification spec)` |

- - ### Method Detail

    - #### isFeatureSupported

          boolean isFeatureSupported​(OutputProcessorFeature.BooleanOutputProcessorFeature feature)

    - #### getNumericFeatureValue

          double getNumericFeatureValue​(OutputProcessorFeature.NumericOutputProcessorFeature feature)

    - #### getNormalizedFontFamilyName

          java.lang.String getNormalizedFontFamilyName​(java.lang.String name)

    - #### getDefaultFontFamily

          org.pentaho.reporting.libraries.fonts.registry.FontFamily getDefaultFontFamily​()

    - #### getFontFamilyForGenericName

          org.pentaho.reporting.libraries.fonts.registry.FontFamily getFontFamilyForGenericName​(CSSConstant genericName)

    - #### getFontStorage

          org.pentaho.reporting.libraries.fonts.registry.FontStorage getFontStorage​()

      Although most font systems are global, some may have some issues with caching. OutputTargets may have to tweak the font storage system to their needs.
      Returns:

    - #### getFontSize

          double getFontSize​(CSSConstant constant)

    - #### getMediaType

          java.lang.String getMediaType​()

      Returns the media type of the output target. This corresponds directly to the CSS defined media types and is used as a selector.
      Returns:
        the media type of the output target.

    - #### getExportDescriptor

          java.lang.String getExportDescriptor​()

      The export descriptor is a string that describes the output characteristics. For libLayout outputs, it should start with the output class (one of 'pageable', 'flow' or 'stream'), followed by '/liblayout/' and finally followed by the output type (ie. PDF, Print, etc).
      Returns:
        the export descriptor.

    - #### getDefaultPageSize

          PageSize getDefaultPageSize​()

      Returns the default physical page size. If not defined otherwise, this will also be the logical size.
      Returns:

    - #### getVerticalPageSpan

          int getVerticalPageSpan​()

      Returns the vertical page span. If the value is less than one, it will be corrected to one.
      Returns:

    - #### getHorizontalPageSpan

          int getHorizontalPageSpan​()

      Returns the horizontal page span. If the value is less than one, it will be corrected to one.
      Returns:

    - #### isValid

          boolean isValid​(FontSpecification spec)

    - #### getFontMetrics

          org.pentaho.reporting.libraries.fonts.registry.FontMetrics getFontMetrics​(FontSpecification spec)

    - #### getSupportedResourceTypes

          java.lang.Class[] getSupportedResourceTypes​()

    - #### isIterative

          boolean isIterative​()

      An iterative output processor accepts and processes small content chunks. If this method returns false, the output processor will not receive the content until the whole document is processed.
      Returns: